net.sf.jasperreports.data

## Class TimeZoneFieldHandler

- java.lang.Object
- - org.exolab.castor.mapping.loader.FieldHandlerFriend
  - - org.exolab.castor.mapping.ExtendedFieldHandler
    - - org.exolab.castor.mapping.AbstractFieldHandler
      - - org.exolab.castor.mapping.GeneralizedFieldHandler
        - - net.sf.jasperreports.data.TimeZoneFieldHandler

- All Implemented Interfaces:
    org.exolab.castor.mapping.ConfigurableFieldHandler, org.exolab.castor.mapping.FieldHandler

      public class TimeZoneFieldHandler
      extends org.exolab.castor.mapping.GeneralizedFieldHandler

  Version:
    $Id: TimeZoneFieldHandler.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class org.exolab.castor.mapping.AbstractFieldHandler

      `configuration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeZoneFieldHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `convertUponGet(java.lang.Object value)`
    `java.lang.Object` | `convertUponSet(java.lang.Object value)`
    `java.lang.Class<?>` | `getFieldType()`
    `java.lang.Object` | `newInstance(java.lang.Object parent)`

    - ### Methods inherited from class org.exolab.castor.mapping.GeneralizedFieldHandler

      `getValue, newInstance, resetValue, setCollectionIteration, setFieldHandler, setValue`

    - ### Methods inherited from class org.exolab.castor.mapping.AbstractFieldHandler

      `getFieldDescriptor, hasValue, setConfiguration, setFieldDescriptor`

    - ### Methods inherited from class org.exolab.castor.mapping.ExtendedFieldHandler

      `checkValidity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.exolab.castor.mapping.FieldHandler

      `checkValidity`

- - ### Constructor Detail

    - #### TimeZoneFieldHandler

          public TimeZoneFieldHandler()

  - ### Method Detail

    - #### convertUponGet

          public java.lang.Object convertUponGet(java.lang.Object value)

      Specified by:
        `convertUponGet` in class `org.exolab.castor.mapping.GeneralizedFieldHandler`

    - #### convertUponSet

          public java.lang.Object convertUponSet(java.lang.Object value)

      Specified by:
        `convertUponSet` in class `org.exolab.castor.mapping.GeneralizedFieldHandler`

    - #### getFieldType

          public java.lang.Class<?> getFieldType()

      Specified by:
        `getFieldType` in class `org.exolab.castor.mapping.GeneralizedFieldHandler`

    - #### newInstance

          public java.lang.Object newInstance(java.lang.Object parent)
                                       throws java.lang.IllegalStateException

      Specified by:
        `newInstance` in interface `org.exolab.castor.mapping.FieldHandler`
      Overrides:
        `newInstance` in class `org.exolab.castor.mapping.GeneralizedFieldHandler`
      Throws:
        `java.lang.IllegalStateException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com